# Crow: crow::Trie Class Reference

Loading...
Searching...
No Matches
crow::Trie Class Reference

A search tree. More...

`#include <routing.h>`

## Classes

struct | Node

## Public Member Functions

bool | is_empty ()
| Check whether or not the trie is empty.
void | optimize ()
void | debug_print ()
void | validate ()
routing_handle_result | find (const std::string &req_url, const Node &node, unsigned pos=0, routing_params *params=nullptr, std::vector< uint16_t > *blueprints=nullptr) const
routing_handle_result | find (const std::string &req_url) const
void | add (const std::string &url, uint16_t rule_index, unsigned bp_prefix_length=0, uint16_t blueprint_index=INVALID_BP_ID)

## Detailed Description

A search tree.

The documentation for this class was generated from the following file:

- include/crow/routing.h